Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

# Class CashDeposit1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_05.CashDeposit1

public class CashDeposit1 extends Object

Java class for CashDeposit1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashDeposit1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NoteDnmtn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ActiveCurrencyAndAmount"/>
             <element name="NbOfNotes" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max15NumericText"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ActiveCurrencyAndAmount"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveCurrencyAndAmount`
`amt`
`protected String`
`nbOfNotes`
`protected ActiveCurrencyAndAmount`
`noteDnmtn`

## Constructor Summary

Constructors
Constructor
Description
`CashDeposit1()`

## Method Summary

Modifier and Type
Method
Description
`ActiveCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`String`
`getNbOfNotes()`
Gets the value of the nbOfNotes property.
`ActiveCurrencyAndAmount`
`getNoteDnmtn()`
Gets the value of the noteDnmtn property.
`void`
`setAmt(ActiveCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setNbOfNotes(String value)`
Sets the value of the nbOfNotes property.
`void`
`setNoteDnmtn(ActiveCurrencyAndAmount value)`
Sets the value of the noteDnmtn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### noteDnmtn

protected ActiveCurrencyAndAmount noteDnmtn

### nbOfNotes

protected String nbOfNotes

### amt

protected ActiveCurrencyAndAmount amt

## Constructor Details

### CashDeposit1

public CashDeposit1()

## Method Details

### getNoteDnmtn

public ActiveCurrencyAndAmount getNoteDnmtn()
Gets the value of the noteDnmtn property.

Returns:
  possible object is `ActiveCurrencyAndAmount`

### setNoteDnmtn

public void setNoteDnmtn(ActiveCurrencyAndAmount value)
Sets the value of the noteDnmtn property.

Parameters:
  `value` - allowed object is `ActiveCurrencyAndAmount`

### getNbOfNotes

public String getNbOfNotes()
Gets the value of the nbOfNotes property.

Returns:
  possible object is `String`

### setNbOfNotes

public void setNbOfNotes(String value)
Sets the value of the nbOfNotes property.

Parameters:
  `value` - allowed object is `String`

### getAmt

public ActiveCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveCurrencyAndAmount`

### setAmt

public void setAmt(ActiveCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveCurrencyAndAmount`